
#java:
#        image: java:8
#        script: javac Projektgruppe_*/src/tests/student/*

doc:
        image: blang/latex:ubuntu
        script: pdflatex doc/Dokumentation.tex
        artifacts:
                paths:
                        - Dokumentation.pdf
                expire_in: 1 week

javadoc:
        image: java:8
        script:
                - cd Projektgruppe_*/src/
                - javadoc base game gui gui.components gui.views game.goals game.map game.players tests.student
                - cd ../../
                - mkdir public
                - mkdir public/base
                - mkdir public/game
                - mkdir public/game/map
                - mkdir public/game/goals
                - mkdir public/game/players
                - mkdir public/gui
                - mkdir public/gui/components
                - mkdir public/gui/views
                - mkdir public/tests
                - mkdir public/tests/student
                - cp -r Projektgruppe_*/src/*.html public/
                - cp -r Projektgruppe_*/src/*.css public/
                - cp -r Projektgruppe_*/src/package-list public/
                - cp -r Projektgruppe_*/src/script.js public/
                - cp -r Projektgruppe_*/src/base/*.html public/base/
                - cp -r Projektgruppe_*/src/game/*.html public/game/
                - cp -r Projektgruppe_*/src/game/map/*.html public/game/map/
                - cp -r Projektgruppe_*/src/game/goals/*.html public/game/goals/
                - cp -r Projektgruppe_*/src/game/players/*.html public/game/players/
                - cp -r Projektgruppe_*/src/gui/*.html public/gui/
                - cp -r Projektgruppe_*/src/gui/views/*.html public/gui/views/
                - cp -r Projektgruppe_*/src/gui/components/*.html public/gui/components/
        artifacts:
                paths:
                        - public
                expire_in: 1 week
